SoGLShadowCullingElement(3)

NAME
SoGLShadowCullingElement - The SoGLShadowCullingElement class is yet to be documented.

SYNOPSIS

#include <Inventor/annex/FXViz/elements/SoGLShadowCullingElement.h>

Inherits SoInt32Element.

  Public Types
enum Mode { AS_IS_CULLING, FRONT_FACE_CULLING, NO_CULLING }

  Public Member Functions
virtual void init (SoState *state)
virtual void push (SoState *state)
virtual void pop (SoState *state, const SoElement *prevTopElement)
virtual void setElt (int32_t value)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const int mode)
FIXME: write doc.
static int get (SoState *const state)
FIXME: write doc.
static int getDefault (void)
FIXME: write doc.

  Protected Member Functions
virtual ~SoGLShadowCullingElement ()

  Additional Inherited Members

Detailed Description

The SoGLShadowCullingElement class is yet to be documented. FIXME: write doc.

Since
    Coin 2.5

Member Enumeration Documentation

  enum SoGLShadowCullingElement::Mode
FIXME: write doc.

Constructor & Destructor Documentation

  SoGLShadowCullingElement::~SoGLShadowCullingElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoGLShadowCullingElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoGLShadowCullingElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoGLShadowCullingElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoGLShadowCullingElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoGLShadowCullingElement::init (SoState * state) [virtual]
Initializes the element to its default value. The default value is SoGLShadowCullingElement::AS_IS_CULLING.

Reimplemented from SoInt32Element.

  void SoGLShadowCullingElement::push (SoState * state) [virtual]
This method is called every time a new element is required in one of the stacks. This happens when a writable element is requested, using SoState::getElement() or indirectly SoElement::getElement(), and the depth of the current element is less than the state depth.

Override this method if your element needs to copy data from the previous top of stack. The push() method is called on the new element, and the previous element can be found using SoElement::getNextInStack().

Reimplemented from SoElement.

  void SoGLShadowCullingElement::pop (SoState * state, const SoElement * prevTopElement) [virtual]
This method is called when the state is popped, and the depth of the element is bigger than the current state depth. pop() is called on the new top of stack, and a pointer to the previous top of stack is passed in prevTopElement.

Override this method if you need to copy some state information from the previous top of stack.

Reimplemented from SoElement.

  void SoGLShadowCullingElement::setElt (int32_t value) [virtual]
Set element value.

Reimplemented from SoInt32Element.

Author

Generated automatically by Doxygen for Coin from the source code.